package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.SystemConfig;

@Mapper
public interface SystemConfigMapper extends BaseMapper<SystemConfig> {
	
    SystemConfig querySystemConfig(SystemConfig systemConfig);

    List<SystemConfig> querySystemConfigList(SystemConfig systemConfig);
    
    void saveSystemConfig(SystemConfig systemConfig);
    
    void updateSystemConfig(SystemConfig systemConfig);
    
    void deleteSystemConfig(SystemConfig systemConfig);
    
    List<SystemConfig> querySystemConfigPage(Map map);
    
    Integer querySystemConfigPageCount(Map map);
    
	void saveSystemConfigBatch(List<SystemConfig> systemConfigList);


}
